Create a Transaction

Create a new transaction. There are three ways to create a new transaction:

Credit Card Transactions

Created by passing a credit card object with the transaction. Can be of type 'sale' or 'auth'. Credit Card Transactions can also be scheduled using this endpoint by simply passing a schedule object with the transaction.

ACH Transactions

Created by passing a check object with the transaction.

EMV Transactions

Created by passing a BER-TLV compliant EMV data string with the transaction.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Credit Card Transactions require a card and not a check.

For new Credit Card Transactions, the card may be either tokenized or non-tokenized. Any non-tokenized card will be tokenized automatically by the PaidYET API.

number
required

Required amount in dollars. Must be 0 or greater. Excluding fees. Surcharge fees will automatically be added if surcharging is enabled on merchant's account. Do not include surcharge fees in this amount.

number

Optional amount in dollars. Must be 0 or greater. To use at the time of sale, supply the gratuity with the sale. To use with tip-adjust, since the gratuity is known only after the original auth transaction, the gratuity is applied during the following capture of that auth at a later time.

boolean

Indicates the supplied amount is an estimate, required to be a value of true at the time of sale with an auth transaction when expecting a tip-adjustment to be performed later on the subsequent capture.

string
fees
array of objects

Array of fees associated with this transaction. These fees will be added to the total amount charged on the card. Do not add surcharge fees here.

fees
string

chip, swipe, keyed, etc.

string

Optional. If omitted and amount is '0', defaults to 'auth'. If Omitted and amount is greater than '0', defaults to 'sale'.

string
custom_fields
array of objects
custom_fields
string

api, etc.

boolean

The AVS result.

string
billing_address
object

An Address represents a billing address that can be associated to a Card, Customer, or Transaction.

string

Customer's email address.

schedule
object

Allows the associated Transaction to be scheduled. Also allows the associated Transaction to recur according to the provided Repeat. If the recurring should end, a Repeat Cancel should be provided.

string
customer
object

Customers are stored in a merchant's customer database.

string

The Order ID.

string

Optional invoice number.

string

Optional PO number.

string

Optional comments.

string
string

The result of the transaction.

lodging
object

Represents lodging information to be sent in with a Transaction object.

batch
object

A Batch is a grouping for any Transactions that took place within a certain timeframe. Batches do not directly contain a collection of Transactions. Instead, a Transaction is assocaited with a Batch automatically when the Transaction is created.

boolean

If this is set to true, a receipt will be sent to the customer's email address.

string | null

Unique identifier used to look up customer. This is not generated by PaidYET.

credit_card
required
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json